Net::DNS::RR::APL(3)

NAME
Net::DNS::RR::APL - DNS APL resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
This is an RR type for address prefix lists. Please see the RFC3123 for details.

METHODS

  applist
Returns an array of Net::DNS::APL::ApItem objects.

Each ApItem objecst contains the following attribute that can be accessed and set using methods of the same name: addressfamily, prefix, negation, address

  foreach my $ap ($apl->aplist()){
        print $ap->negation()?"!":"";
        print $ap->addressfamily().":";
        print $ap->address();
        print $ap->prefix(). " ";
    }

In addition the Net::DNS::APL::ApItem objects can be printed using the string method.

    foreach my $ap ($apl->aplist())
              print $ap->string."\n";
    }

COPYRIGHT
Copyright (c) 2008 Olaf Kolkman (NLnet Labs)

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Net::DNS::RR::APL::ApItem, perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 3123